import { Form, Input } from "antd";
import { useTranslation } from "react-i18next";
import { connect } from "react-redux";
import { createStructuredSelector } from "reselect";
import FormDateTimePicker from "../form-date-time-picker/form-date-time-picker.component";

const mapStateToProps = createStructuredSelector({});

export default connect(mapStateToProps, null)(PartsReceiveModalComponent);

export function PartsReceiveModalComponent() {
  const { t } = useTranslation();

  return (
    <div>
      <Form.Item name="plate" label={t("courtesycars.fields.plate")}>
        <Input />
      </Form.Item>
      <Form.Item
        name="time"
        label={t("contracts.labels.time")}
        rules={[
          {
            required: true
            //message: t("general.validation.required"),
          }
        ]}
      >
        <FormDateTimePicker />
      </Form.Item>
    </div>
  );
}
